Package org.tmatesoft.svn.core.wc

## Interface ISVNFileFilter

-     public interface ISVNFileFilter

  `ISVNFileFilter` is used by `SVNCommitClient` during an import operation to filter out undesired paths, so that those paths do not get to a repository.
  Since:
    1.3
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `accept​(java.io.File file)` | This method is called to add extra filtering of files.

- - ### Method Detail

    - #### accept

          boolean accept​(java.io.File file)
                  throws SVNException

      This method is called to add extra filtering of files.
      Parameters:
        `file` - file to accept or not
      Returns:
        true if the file should be accepted
      Throws:
        `SVNException`